include: 
  - ci-templates/default.yml

  - local: ci-templates/build.yml
    rules:
      - if: '$CI_COMMIT_REF_NAME == "main" || $CI_COMMIT_REF_NAME == "develop"'
  
  - local: ci-templates/build_unprotected.yml
    rules:
      - if: '$CI_COMMIT_REF_NAME != "main" && $CI_COMMIT_REF_NAME != "develop"'


maven_build:
  extends: .maven_build
